Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge]emerge --ask --changed-use --deep @world[solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
carlos plaza
Apprentice
Apprentice


Joined: 22 Jan 2005
Posts: 244
Location: Venezuela

PostPosted: Sat Mar 03, 2018 4:22 pm    Post subject: [emerge]emerge --ask --changed-use --deep @world[solved] Reply with quote

Un saludo cordial a todos los amigos de este gran foro.

Ya tengo casi todo lo que necesito de esta nueva instalación en la portatil, pero tengo varios días tratando de actualizar por agregar nuevas USES y no consigo avanzar.
emerge --ask --changed-use --deep @world
Code:
Calculating dependencies... done!
[ebuild  N     ] sys-apps/miscfiles-1.5-r3  USE="-minimal"
[ebuild  N     ] app-shells/gentoo-bashcomp-20140911
[ebuild  N     ] app-shells/bash-completion-2.4-r1
[ebuild  N     ] dev-vcs/mercurial-4.3  USE="-bugzilla -emacs -gpg {-test} -tk" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-python/chardet-3.0.4  USE="{-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] dev-python/PySocks-1.6.7  PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] dev-python/cryptography-2.0.2-r1  USE="-libressl {-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] dev-python/pynacl-1.1.2  USE="{-test}" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild  N     ] dev-python/bcrypt-3.1.3  USE="{-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) -python3_4 -python3_6"
[ebuild  N     ] dev-python/pyopenssl-17.2.0  USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] dev-python/paramiko-2.2.1  USE="-doc -examples" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild  N     ] dev-python/ndg-httpsclient-0.4.0  PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] dev-python/urllib3-1.22  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] dev-python/requests-2.18.2-r1  USE="ssl -socks5 {-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) (-pypy3) -python3_4 -python3_6"
[ebuild  N     ] dev-python/ssl-fetch-0.4  PYTHON_TARGETS="python2_7 python3_5 (-pypy) -python3_4 -python3_6"
[ebuild   R    ] media-libs/libsamplerate-0.1.9  USE="sndfile*"
[ebuild   R    ] media-libs/a52dec-0.7.4-r7  USE="oss*"
[ebuild   R    ] media-libs/libdca-0.0.5-r3  USE="oss*"
[ebuild   R    ] media-sound/lame-3.100  USE="sndfile*"
[ebuild   R    ] x11-apps/xdpyinfo-1.3.2  USE="dga* xinerama*"
[ebuild  N     ] dev-libs/libsigc++-2.10.0  USE="static-libs -doc {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-cpp/glibmm-2.52.1  USE="-debug -doc {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] www-client/links-2.14-r1  USE="fbcon*"
[ebuild  N     ] media-plugins/gst-plugins-opus-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-oss-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-dv-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-wavpack-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] app-arch/snappy-1.1.7 [1.1.3-r1] USE="(-static-libs*) {-test%}"
[ebuild     U  ] media-libs/lensfun-0.3.2-r1 [0.3.1] PYTHON_SINGLE_TARGET="python3_5%* -python3_4% -python3_6%" PYTHON_TARGETS="python3_5%* -python3_4% -python3_6%"
[ebuild   R    ] x11-drivers/xf86-video-intel-2.99.917_p20170313  USE="xvmc*"
[ebuild   R    ] x11-drivers/xf86-video-dummy-0.3.8  USE="dga*"
[ebuild  N     ] media-plugins/gst-plugins-libnice-0.1.13-r100  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] net-libs/farstream-0.2.8-r1  USE="introspection {-test} -upnp"
[ebuild   R    ] net-nds/openldap-2.4.44  USE="kerberos* samba* sasl*"
[ebuild   R    ] net-misc/curl-7.58.0  USE="kerberos* rtmp* samba*"
[ebuild   R    ] net-misc/openssh-7.5_p1-r4  USE="kerberos*"
[ebuild  N     ] dev-python/pycurl-7.43.0  USE="ssl -examples {-test}" CURL_SSL="openssl -gnutls -libressl -nss" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild  N     ] dev-vcs/bzr-2.7.0  USE="curl sftp -doc {-test}" PYTHON_TARGETS="python2_7"
[ebuild   R    ] sys-apps/dbus-1.10.18  USE="static-libs*"
[ebuild   R    ] dev-libs/dbus-glib-0.108  USE="static-libs*"
[ebuild   R    ] dev-qt/qtdbus-4.8.7  USE="pch*"
[ebuild   R    ] net-wireless/bluez-5.48-r1  USE="deprecated* test-programs*"
[ebuild  N     ] net-libs/telepathy-farstream-0.6.2  USE="introspection -examples"
[ebuild   R    ] kde-frameworks/kio-5.40.0-r3  USE="kerberos*"
[ebuild   R    ] x11-libs/gtk+-2.24.31-r1  USE="xinerama*"
[ebuild   R    ] media-sound/pulseaudio-11.1  USE="lirc*"
[ebuild   R    ] media-plugins/alsa-plugins-1.1.1-r1  USE="libav* speex*"
[ebuild   R    ] app-admin/conky-1.10.4  USE="curl*"
[ebuild   R    ] dev-qt/qtgui-4.8.7  USE="nas* pch* xinerama*"
[ebuild   R    ] dev-qt/qt3support-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/qtsvg-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/qtopengl-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/designer-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/qtdeclarative-4.8.7  USE="pch*"
[ebuild   R    ] x11-libs/libXt-1.1.5  USE="static-libs*"
[ebuild   R    ] x11-libs/libXmu-1.1.2  USE="static-libs*"
[ebuild   R    ] media-libs/libsdl-1.2.15-r9  USE="aalib* dga* fbcon* libcaca* nas* oss* xinerama*"
[ebuild   R    ] media-gfx/feh-2.18.3  USE="curl* xinerama*"
[ebuild   R    ] media-libs/glew-1.13.0  USE="static-libs*"
[ebuild  N     ] media-video/mjpegtools-2.1.0-r2  USE="dv gtk png sdl static-libs -quicktime -sdlgfx" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="mmx"
[ebuild   R    ] media-sound/mpg123-1.25.6  USE="nas* oss*"
[ebuild   R    ] media-libs/gegl-0.2.0-r5  USE="libav*"
[ebuild   R    ] x11-libs/gtk+-3.22.19  USE="xinerama*"
[ebuild  N     ] app-i18n/scim-1.4.17  USE="gtk3 -doc"
[ebuild   R    ] sys-boot/plymouth-0.9.3-r1  USE="static-libs*"
[ebuild   R    ] x11-libs/libSM-1.2.2-r1  USE="static-libs*"
[ebuild   R    ] media-libs/libmpeg2-0.5.1-r2  USE="static-libs*"
[ebuild   R    ] x11-libs/wxGTK-3.0.3  USE="gstreamer*"
[ebuild   R    ] media-libs/mesa-17.2.8  USE="xvmc*"
[ebuild   R    ] media-libs/gst-plugins-bad-1.12.3  USE="vcd*"
[ebuild  N     ] media-plugins/gst-plugins-libmms-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-modplug-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-mplex-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-dvb-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] media-plugins/gst-plugins-meta-1.12.3  USE="dv* dvb* mms* modplug* opus* oss* vcd* wavpack*"
[ebuild   R    ] x11-libs/libXpm-3.5.12  USE="static-libs*"
[ebuild   R    ] x11-libs/libXaw-1.0.13  USE="deprecated* static-libs*"
[ebuild   R    ] x11-misc/xlockmore-5.50  USE="nas* xinerama*"
[ebuild   R    ] net-libs/libsoup-2.58.2  USE="samba*"
[ebuild  N     ] media-plugins/gst-plugins-soup-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] kde-frameworks/kdelibs-4.14.37  USE="kerberos*"
[ebuild   R    ] kde-apps/kget-17.08.3  USE="mms*"
[ebuild   R    ] app-text/poppler-0.62.0-r1  USE="curl*"
[ebuild   R    ] kde-frameworks/kfilemetadata-5.40.0  USE="libav*"
[ebuild  N     ] dev-libs/appstream-0.10.6-r1  USE="qt5 -apt -doc {-test}"
[ebuild   R    ] sys-fs/e2fsprogs-1.43.6  USE="static-libs*"
[ebuild   R    ] app-arch/libarchive-3.3.1  USE="lzo* static-libs*"
[ebuild  N     ] dev-vcs/git-2.16.1  USE="blksha1 curl gpg iconv nls pcre pcre-jit perl python subversion threads webdav -cgi -cvs -doc -emacs -gnome-keyring -highlight -libressl -mediawiki -mediawiki-experimental (-ppcsha1) {-test} -tk -xinetd" PYTHON_TARGETS="python2_7"
[ebuild   R    ] sys-devel/gettext-0.19.8.1  USE="git* java*"
[ebuild   R    ] dev-vcs/subversion-1.9.7-r1  USE="apache2* extras* java* python* sasl*"
[ebuild   R    ] net-dns/libidn-1.33-r2  USE="java*"
[ebuild   R    ] sys-block/parted-3.2-r1  USE="static-libs*"
[ebuild   R    ] sys-libs/libnih-1.0.3-r3  USE="static-libs*"
[ebuild   R    ] dev-lang/yasm-1.3.0  USE="python*"
[ebuild   R    ] app-editors/vim-8.0.1298  USE="python*"
[ebuild   R    ] dev-libs/libcdio-0.93  USE="cddb*"
[ebuild  N     ] dev-libs/json-glib-1.2.8  USE="introspection -debug" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] net-libs/gupnp-igd-0.2.4  USE="python*"
[ebuild   R    ] x11-wm/windowmaker-0.95.8-r1  USE="xinerama*"
[ebuild   R    ] x11-wm/fluxbox-1.3.7-r3  USE="bidi*"
[ebuild   R    ] dev-libs/libpwquality-1.4.0  USE="python*"
[ebuild   R    ] media-gfx/hugin-2016.2.0  USE="python*"
[ebuild  N     ] media-video/libav-11.8  USE="X aac alsa bs2b bzip2 cpudetection encode faac gpl gsm hardcoded-tables mp3 network opus oss pulseaudio rtmp sdl speex ssl static-libs theora truetype twolame v4l vorbis wavpack x264 xvid zlib (-altivec) -amr (-armv5te) (-armv6) (-armv6t2) (-armvfp) -cdio -custom-cflags -debug -doc -fdk -fontconfig -frei0r -ieee1394 -jack -jpeg2k -libressl (-neon) -openssl -pic -schroedinger {-test} -threads -tools -vaapi -vdpau -vpx -webp -x265" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="avx mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -avx2 -fma3 -fma4 -xop"
[ebuild   R    ] app-text/ghostscript-gpl-9.21  USE="static-libs*"
[ebuild  N     ] app-portage/layman-2.4.2  USE="bazaar git mercurial subversion -cvs -darcs (-g-sorcery) -gpg -sqlite -squashfs -sync-plugin-portage {-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) -python3_4 -python3_6"
[ebuild  N     ] dev-libs/libdbusmenu-12.10.2-r2  USE="gtk gtk3 introspection -debug" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild   R    ] net-print/cups-filters-1.17.9  USE="static-libs*"
[ebuild  N     ] app-admin/packagekit-base-1.1.7  USE="elogind introspection -command-not-found -cron (-entropy) -systemd {-test} -vala" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-libs/libappindicator-12.10.0-r201  USE="introspection python" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-libs/libappindicator-12.10.0-r301  USE="introspection" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-admin/packagekit-qt-1.0.0
[ebuild  N     ] app-i18n/ibus-1.5.16  USE="X emoji gtk gtk2 introspection kde libnotify nls python -gconf {-test} -vala -wayland" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild   R    ] kde-plasma/plasma-workspace-5.11.5-r1  USE="appstream*"
[ebuild   R    ] sys-fs/eudev-3.2.5  USE="static-libs*"
[ebuild   R    ] virtual/libudev-232  USE="static-libs*"
[ebuild   R    ] dev-qt/qtgui-5.7.1-r1  USE="ibus*"
[ebuild   R    ] sys-apps/util-linux-2.30.2  USE="python* static-libs*"
[ebuild   R    ] dev-libs/libatasmart-0.19-r2  USE="static-libs*"
[ebuild   R    ] dev-libs/libusb-1.0.21  USE="static-libs*"
[ebuild   R    ] dev-libs/libgudev-232  USE="static-libs*"
[ebuild   R    ] media-libs/libcanberra-0.30-r5  USE="gstreamer* oss*"
[ebuild   R    ] sys-apps/pciutils-3.4.1  USE="static-libs*"
[ebuild   R    ] media-libs/libsdl2-2.0.4  USE="nas* oss* static-libs* xinerama*"
[ebuild   R    ] sys-apps/usbutils-008-r1  USE="python*"
[ebuild   R    ] virtual/libgudev-232  USE="static-libs*"
[ebuild   R    ] dev-qt/qtwebkit-5.7.1  USE="gstreamer*"
[ebuild   R    ] kde-frameworks/ktexteditor-5.40.0  USE="git*"
[ebuild   R    ] kde-frameworks/frameworkintegration-5.40.0  USE="appstream*"
[ebuild   R    ] sys-fs/lvm2-2.02.145-r2  USE="static-libs*"
[ebuild   R    ] kde-apps/kio-extras-17.08.3  USE="samba*"
[ebuild   R    ] net-libs/telepathy-qt-0.9.7-r1  USE="farstream*"
[ebuild   R    ] dev-libs/rasqal-0.9.32  USE="static-libs*"
[ebuild  N     ] dev-qt/qtwebengine-5.7.1-r2  USE="alsa pulseaudio system-ffmpeg widgets -bindist -debug -geolocation -pax_kernel -system-icu {-test}"
[ebuild   R    ] net-misc/freerdp-2.0.0_rc0  USE="gstreamer* libav* xinerama*"
[ebuild   R    ] media-libs/opencv-2.4.13-r3  USE="gstreamer* java* libav* pch* v4l*"
[ebuild   R    ] sys-fs/cryptsetup-1.7.5  USE="python* static-libs*"
[ebuild   R    ] dev-libs/redland-1.0.16  USE="static-libs*"
[ebuild   R    ] net-libs/libmbim-1.14.0  USE="static-libs*"
[ebuild   R    ] media-gfx/gimp-2.8.22-r1  USE="aalib* curl* python*"
[ebuild   R    ] gnome-base/gvfs-1.32.1-r1  USE="samba*"
[ebuild   R    ] app-office/libreoffice-bin-5.4.5.1  USE="java*"
[ebuild   R    ] net-libs/libqmi-1.16.2  USE="static-libs*"
[ebuild   R    ] media-libs/phonon-4.9.1-r1  USE="gstreamer*"
[ebuild  N     ] media-libs/phonon-gstreamer-4.9.0-r1  USE="alsa network qt4 qt5 -debug"
[ebuild  N     ] kde-apps/ktp-call-ui-17.08.3  USE="-debug"
[ebuild   R    ] kde-plasma/plasma-desktop-5.11.5  USE="appstream* gtk2* gtk3* ibus* legacy-systray* scim*"
[ebuild   R    ] kde-apps/plasma-telepathy-meta-17.08.3  USE="gstreamer*"
[blocks B      ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-video/libav-11.8)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

app-arch/snappy:0

  (app-arch/snappy-1.1.7:0/1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (app-arch/snappy-1.1.3-r1:0/0::gentoo, installed) pulled in by
    app-arch/snappy[static-libs] required by (dev-libs/leveldb-1.18-r2:0/0::gentoo, installed)
                    ^^^^^^^^^^^                                                                                                   
    app-arch/snappy:0/0= required by (dev-libs/leveldb-1.18-r2:0/0::gentoo, installed)
                   ^^^^^                                                                                                 


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/libav-11.8:0/11::gentoo, ebuild scheduled for merge) pulled in by
    media-video/libav:0/11= required by (media-video/vlc-2.2.8-r1:0/5-8::gentoo, installed)
    media-video/libav:0= required by (media-video/vlc-2.2.8-r1:0/5-8::gentoo, installed)

  (media-video/ffmpeg-3.3.6:0/55.57.57::gentoo, installed) pulled in by
    >=media-video/ffmpeg-3.0:0=[vdpau?] (>=media-video/ffmpeg-3.0:0=) required by (media-video/mplayer-1.3.0-r4:0/0::gentoo, installed)
    media-video/ffmpeg:0= required by (dev-qt/qtwebengine-5.7.1-r2:5/5.7::gentoo, ebuild scheduled for merge)
    >=media-video/ffmpeg-3.0:0/55.57.57= required by (media-video/mplayer-1.3.0-r4:0/0::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


!!! The following installed packages are masked:
- media-video/ffmpeg-3.3.6::gentoo (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Se que debo tener una flag que no esta en armonía, pero no se cual sera.

emerge --info
Code:
ortage 2.3.19 (python 3.5.4-final-0, default/linux/amd64/17.0/desktop, gcc-6.4.0, glibc-2.25-r10, 4.9.76-gentoo-r1 x86_64)
=================================================================
System uname: Linux-4.9.76-gentoo-r1-x86_64-Intel-R-_Core-TM-_i3-2370M_CPU_@_2.40GHz-with-gentoo-2.4.1
KiB Mem:     1870972 total,    242208 free
KiB Swap:    4120572 total,   3620592 free
Timestamp of repository gentoo: Fri, 02 Mar 2018 23:30:01 +0000
Head commit of repository gentoo: 4eaa82558651cbe073c5d522c1415d1238952c45
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r10::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=sandybridge -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/sddm/scripts/Xsetup"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=sandybridge -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://www.gtlib.gatech.edu/pub/gentoo"
LANG="es_VE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="es"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib acl acpi alisp alsa amd64 analyzer apache2 appstream bazaar berkdb bidi bl bluetooth branding bs2b bzip2 cairo cdda cddb cdparanoia cdr cgroups cli consolekit cover cpudetection crossfade crypt cue cups curl cxx dbus deprecated dga display-manager dmalloc dri dropbox dts dv dvb dvd dvdr eds elogind emboss enca encode evdev exif extras faac faad fam fbcon fbcondecor firebird flac fortran ftp game gdbm ggi gif git glamor gnutls googledrive gpm grub gsm gstreamer gtk gtk2 gtk3 gtk4 handbook hwdb ibus iconv introspection ipv6 java jpeg kde kerberos kmod ladspa lcms ldap legacy-systray libav libcaca libmpeg2 libnotify librsync-bundled libtirpc lirc live lm_sensors lyrics lzo mad md5sum mercurial mesh mms mng modplug modules mount-locking mp3 mp4 mpeg mplayer multilib musepack nas natspec ncurses nls notifier nptl nss nut obex ogg openal opengl openmp opus oss pango pch pcre pdf pdfimport plymouth pm-utils png pnm policykit ppds ppp projectm pulseaudio pvr python qsui qt3support qt5 qtmedia radio rar readline rtc rtmp rule-generator samba sasl scim scrobbler sddm sdk sdl seccomp sid sndfile soxr speex spell ssl startup-notification static-libs stereo subversion svg tcpd test test-programs tga theora tiff toolame touchpad tray tremor truetype twolame udev udisks unicode upower usb v4l vcd vlc vorbis wallpapers wavpack wifi wxwidgets x264 xattr xcb xinerama xml xv xvid xvmc yuv4mpeg zlib zoran" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="avx mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="synaptics libinput" KERNEL="linux" L10N="es" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22 ruby23" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


De antemano gracias por las posibles soluciones.
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810


Last edited by carlos plaza on Fri Mar 09, 2018 4:09 pm; edited 2 times in total
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1271

PostPosted: Sat Mar 03, 2018 5:07 pm    Post subject: Reply with quote

Elimina, al menos temporalmente, estos paquetes:
Code:
dev-libs/leveldb
media-video/vlc
Back to top
View user's profile Send private message
carlos plaza
Apprentice
Apprentice


Joined: 22 Jan 2005
Posts: 244
Location: Venezuela

PostPosted: Sat Mar 03, 2018 6:13 pm    Post subject: Reply with quote

Gracias quilosaq
Ya he hecho eso, hasta mplayer elimine, trate de solucionar enmascarando media-video/libav, media-video/ffmpeg, dev-qt/qtwebengine y nada. :?: :?:

Con respecto a dev-libs/leveldb lo tenia enmascarado y lo acababa de liberar :!:

quilosaq wrote:
Elimina, al menos temporalmente, estos paquetes:
Code:
dev-libs/leveldb
media-video/vlc


He buscado en toda la wiki, en san google y no veo la luz al final del tunel... :idea: :idea: :idea:
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1271

PostPosted: Sat Mar 03, 2018 7:01 pm    Post subject: Reply with quote

carlos plaza wrote:
...
Ya he hecho eso
...

En la salida que copiaste pone:
Code:
required by (dev-libs/leveldb-1.18-r2:0/0::gentoo, installed)
required by (media-video/vlc-2.2.8-r1:0/5-8::gentoo, installed)

No parece que estén desinstalados. Desinstalar no tiene los mismos efectos que enmascarar.
Back to top
View user's profile Send private message
carlos plaza
Apprentice
Apprentice


Joined: 22 Jan 2005
Posts: 244
Location: Venezuela

PostPosted: Sat Mar 03, 2018 8:41 pm    Post subject: Reply with quote

Gracias quilosaq
quilosaq wrote:
carlos plaza wrote:
...
Ya he hecho eso
...

En la salida que copiaste pone:
Code:
required by (dev-libs/leveldb-1.18-r2:0/0::gentoo, installed)
required by (media-video/vlc-2.2.8-r1:0/5-8::gentoo, installed)

No parece que estén desinstalados. Desinstalar no tiene los mismos efectos que enmascarar.


Si es correcto, están instalado. Lo que quise explicar es que ya había primero enmascarado, y luego desinstalado los siguientes paquetes: vlc mplayer ffmpeg qtwebengine libav :!: :!:

leveldb fue el primero que me dio conflicto antes de instalar los programas de sonidos. Tenia días enmascarado y lo desenmascare hoy temprano para ver si ya no me daba conflicto.

De antemano gracias.
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1271

PostPosted: Sun Mar 04, 2018 12:13 am    Post subject: Reply with quote

El consejo es desinstalarlos y mostrar la salida de emerge.
Back to top
View user's profile Send private message
carlos plaza
Apprentice
Apprentice


Joined: 22 Jan 2005
Posts: 244
Location: Venezuela

PostPosted: Sun Mar 04, 2018 4:13 am    Post subject: Reply with quote

quilosaq wrote:
El consejo es desinstalarlos y mostrar la salida de emerge.


emerge --ask --changed-use --deep @world
Code:


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-libs/leveldb-1.18-r2  USE="snappy static-libs tcmalloc"
[ebuild   R    ] media-libs/a52dec-0.7.4-r7  USE="oss*"
[ebuild  N     ] media-plugins/gst-plugins-dv-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-oss-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-wavpack-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] app-arch/snappy-1.1.7 [1.1.3-r1] USE="(-static-libs*) {-test%}"
[ebuild     U  ] media-libs/lensfun-0.3.2-r1 [0.3.1] PYTHON_SINGLE_TARGET="python3_5%* -python3_4% -python3_6%" PYTHON_TARGETS="python3_5%* -python3_4% -python3_6%"
[ebuild   R    ] x11-drivers/xf86-video-intel-2.99.917_p20170313  USE="xvmc*"
[ebuild   R    ] x11-drivers/xf86-video-dummy-0.3.8  USE="dga*"
[ebuild  N     ] media-plugins/gst-plugins-libnice-0.1.13-r100  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] net-libs/farstream-0.2.8-r1  USE="introspection {-test} -upnp"
[ebuild   R    ] net-nds/openldap-2.4.44  USE="kerberos* samba* sasl*"
[ebuild   R    ] net-misc/curl-7.58.0  USE="kerberos* rtmp* samba*"
[ebuild   R    ] net-misc/openssh-7.5_p1-r4  USE="kerberos*"
[ebuild  N     ] dev-python/pycurl-7.43.0  USE="ssl -examples {-test}" CURL_SSL="openssl -gnutls -libressl -nss" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild  N     ] dev-vcs/bzr-2.7.0  USE="curl sftp -doc {-test}" PYTHON_TARGETS="python2_7"
[ebuild   R    ] sys-apps/dbus-1.10.18  USE="static-libs*"
[ebuild   R    ] dev-libs/dbus-glib-0.108  USE="static-libs*"
[ebuild   R    ] dev-qt/qtdbus-4.8.7  USE="pch*"
[ebuild   R    ] net-wireless/bluez-5.48-r1  USE="deprecated* test-programs*"
[ebuild  N     ] net-libs/telepathy-farstream-0.6.2  USE="introspection -examples"
[ebuild   R    ] kde-frameworks/kio-5.40.0-r3  USE="kerberos*"
[ebuild   R    ] x11-libs/gtk+-2.24.31-r1  USE="xinerama*"
[ebuild   R    ] media-sound/pulseaudio-11.1  USE="lirc*"
[ebuild   R    ] media-plugins/alsa-plugins-1.1.1-r1  USE="libav* speex*"
[ebuild   R    ] app-admin/conky-1.10.4  USE="curl*"
[ebuild   R    ] x11-libs/libXt-1.1.5  USE="static-libs*"
[ebuild   R    ] x11-libs/libXmu-1.1.2  USE="static-libs*"
[ebuild   R    ] media-libs/libsdl-1.2.15-r9  USE="aalib* dga* fbcon* libcaca* nas* oss* xinerama*"
[ebuild   R    ] media-gfx/feh-2.18.3  USE="curl* xinerama*"
[ebuild   R    ] media-sound/mpg123-1.25.6  USE="nas* oss*"
[ebuild   R    ] media-libs/glew-1.13.0  USE="static-libs*"
[ebuild  N     ] media-video/mjpegtools-2.1.0-r2  USE="dv gtk png sdl static-libs -quicktime -sdlgfx" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="mmx"
[ebuild   R    ] media-libs/gegl-0.2.0-r5  USE="libav*"
[ebuild   R    ] dev-qt/qtgui-4.8.7  USE="nas* pch* xinerama*"
[ebuild   R    ] dev-qt/qt3support-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/qtsvg-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/qtopengl-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/designer-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/qtdeclarative-4.8.7  USE="pch*"
[ebuild   R    ] x11-libs/gtk+-3.22.19  USE="xinerama*"
[ebuild  N     ] app-i18n/scim-1.4.17  USE="gtk3 -doc"
[ebuild   R    ] sys-boot/plymouth-0.9.3-r1  USE="static-libs*"
[ebuild   R    ] x11-libs/libSM-1.2.2-r1  USE="static-libs*"
[ebuild   R    ] media-libs/libmpeg2-0.5.1-r2  USE="static-libs*"
[ebuild   R    ] x11-libs/wxGTK-3.0.3  USE="gstreamer*"
[ebuild   R    ] media-libs/mesa-17.2.8  USE="xvmc*"
[ebuild   R    ] media-libs/gst-plugins-bad-1.12.3  USE="vcd*"
[ebuild  N     ] media-plugins/gst-plugins-modplug-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-dvb-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-mplex-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-libmms-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] media-plugins/gst-plugins-meta-1.12.3  USE="dv* dvb* mms* modplug* opus* oss* vcd* wavpack*"
[ebuild   R    ] x11-libs/libXpm-3.5.12  USE="static-libs*"
[ebuild   R    ] x11-libs/libXaw-1.0.13  USE="deprecated* static-libs*"
[ebuild   R    ] x11-misc/xlockmore-5.50  USE="nas* xinerama*"
[ebuild   R    ] net-libs/libsoup-2.58.2  USE="samba*"
[ebuild  N     ] media-plugins/gst-plugins-soup-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] kde-frameworks/kdelibs-4.14.37  USE="kerberos*"
[ebuild   R    ] kde-apps/kget-17.08.3  USE="mms*"
[ebuild   R    ] app-text/poppler-0.62.0-r1  USE="curl*"
[ebuild   R    ] kde-frameworks/kfilemetadata-5.40.0  USE="libav*"
[ebuild  N     ] dev-libs/appstream-0.10.6-r1  USE="qt5 -apt -doc {-test}"
[ebuild   R    ] sys-fs/e2fsprogs-1.43.6  USE="static-libs*"
[ebuild   R    ] app-arch/libarchive-3.3.1  USE="lzo* static-libs*"
[ebuild  N     ] dev-vcs/git-2.16.1  USE="blksha1 curl gpg iconv nls pcre pcre-jit perl python subversion threads webdav -cgi -cvs -doc -emacs -gnome-keyring -highlight -libressl -mediawiki -mediawiki-experimental (-ppcsha1) {-test} -tk -xinetd" PYTHON_TARGETS="python2_7"
[ebuild   R    ] sys-devel/gettext-0.19.8.1  USE="git* java*"
[ebuild   R    ] dev-vcs/subversion-1.9.7-r1  USE="apache2* extras* java* python* sasl*"
[ebuild   R    ] sys-block/parted-3.2-r1  USE="static-libs*"
[ebuild   R    ] net-dns/libidn-1.33-r2  USE="java*"
[ebuild   R    ] sys-libs/libnih-1.0.3-r3  USE="static-libs*"
[ebuild   R    ] dev-lang/yasm-1.3.0  USE="python*"
[ebuild   R    ] app-editors/vim-8.0.1298  USE="python*"
[ebuild   R    ] dev-libs/libcdio-0.93  USE="cddb*"
[ebuild  N     ] dev-libs/json-glib-1.2.8  USE="introspection -debug" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] net-libs/gupnp-igd-0.2.4  USE="python*"
[ebuild   R    ] x11-wm/windowmaker-0.95.8-r1  USE="xinerama*"
[ebuild   R    ] x11-wm/fluxbox-1.3.7-r3  USE="bidi*"
[ebuild   R    ] dev-libs/libpwquality-1.4.0  USE="python*"
[ebuild   R    ] media-gfx/hugin-2016.2.0  USE="python*"
[ebuild   R    ] app-text/ghostscript-gpl-9.21  USE="static-libs*"
[ebuild  N     ] app-portage/layman-2.4.2  USE="bazaar git mercurial subversion -cvs -darcs (-g-sorcery) -gpg -sqlite -squashfs -sync-plugin-portage {-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) -python3_4 -python3_6"
[ebuild  N     ] dev-libs/libdbusmenu-12.10.2-r2  USE="gtk gtk3 introspection -debug" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild   R    ] net-print/cups-filters-1.17.9  USE="static-libs*"
[ebuild  N     ] app-admin/packagekit-base-1.1.7  USE="elogind introspection -command-not-found -cron (-entropy) -systemd {-test} -vala" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-libs/libappindicator-12.10.0-r201  USE="introspection python" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-libs/libappindicator-12.10.0-r301  USE="introspection" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-admin/packagekit-qt-1.0.0
[ebuild  N     ] app-i18n/ibus-1.5.16  USE="X emoji gtk gtk2 introspection kde libnotify nls python -gconf {-test} -vala -wayland" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild   R    ] kde-frameworks/ktexteditor-5.40.0  USE="git*"
[ebuild   R    ] kde-plasma/plasma-workspace-5.11.5-r1  USE="appstream*"
[ebuild   R    ] sys-fs/eudev-3.2.5  USE="static-libs*"
[ebuild   R    ] virtual/libudev-232  USE="static-libs*"
[ebuild   R    ] dev-qt/qtgui-5.7.1-r1  USE="ibus*"
[ebuild   R    ] sys-apps/util-linux-2.30.2  USE="python* static-libs*"
[ebuild   R    ] dev-libs/libatasmart-0.19-r2  USE="static-libs*"
[ebuild   R    ] dev-libs/libusb-1.0.21  USE="static-libs*"
[ebuild   R    ] dev-libs/libgudev-232  USE="static-libs*"
[ebuild   R    ] media-libs/libcanberra-0.30-r5  USE="gstreamer* oss*"
[ebuild   R    ] sys-apps/pciutils-3.4.1  USE="static-libs*"
[ebuild   R    ] media-libs/libsdl2-2.0.4  USE="nas* oss* static-libs* xinerama*"
[ebuild   R    ] sys-apps/usbutils-008-r1  USE="python*"
[ebuild   R    ] virtual/libgudev-232  USE="static-libs*"
[ebuild   R    ] dev-qt/qtwebkit-5.7.1  USE="gstreamer*"
[ebuild   R    ] kde-frameworks/frameworkintegration-5.40.0  USE="appstream*"
[ebuild   R    ] sys-fs/lvm2-2.02.145-r2  USE="static-libs*"
[ebuild  N     ] media-video/vlc-2.2.8-r1  USE="X a52 aalib alsa avcodec avformat bidi cdda cddb dbus dts dvb dvbpsi dvd encode faad ffmpeg flac gcrypt gnutls gstreamer jpeg libav libcaca libnotify libsamplerate lirc live modplug mp3 mpeg musepack ncurses ogg opengl opus png projectm pulseaudio qt5 samba sdl sid speex svg swscale theora tremor truetype twolame udev v4l vorbis x264 xcb xml xv (-altivec) -atmo (-audioqueue) -bluray -chromaprint -dc1394 -debug (-directx) (-dxva2) -fdk -fluidsynth -fontconfig -gme -gnome -growl -httpd -ieee1394 -jack -kate -libass -libtar -libtiger -linsys -lua (-macosx-dialog-provider) (-macosx-eyetv) (-macosx-qtkit) (-macosx-quartztext) -matroska -mtp (-neon) -omxil -opencv -optimisememory -postproc -rdp -rtsp -run-as-root -schroedinger -sdl-image -sftp -shout -skins -taglib {-test} -upnp -vaapi -vcdx -vdpau -vlm -vnc -vpx -wma-fixed -x265 -zeroconf -zvbi" CPU_FLAGS_X86="mmx sse"
[ebuild   R    ] kde-apps/kio-extras-17.08.3  USE="samba*"
[ebuild   R    ] net-libs/telepathy-qt-0.9.7-r1  USE="farstream*"
[ebuild  N     ] media-video/ffmpeg-3.3.6  USE="X alsa bs2b bzip2 cpudetection encode gnutls gpl gsm hardcoded-tables iconv ladspa libcaca modplug mp3 network openal opengl opus oss postproc pulseaudio samba sdl speex static-libs theora threads truetype twolame v4l vorbis wavpack x264 xcb xvid zlib (-altivec) -amr -amrenc -bluray -cdio -celt -chromaprint -chromium -debug -doc -fdk -flite -fontconfig -frei0r -fribidi -gcrypt -gme -gmp -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -libass -libilbc -librtmp -libsoxr -libv4l -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -nvenc -openh264 -openssl -pic -rubberband -schroedinger -snappy -sofalizer -ssh {-test} -vaapi -vdpau -vpx -webp -x265 -zeromq -zimg -zvbi" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="avx mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -aes -avx2 -fma3 -fma4 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher"
[ebuild   R    ] dev-libs/rasqal-0.9.32  USE="static-libs*"
[ebuild   R    ] media-libs/opencv-2.4.13-r3  USE="gstreamer* java* libav* pch* v4l*"
[ebuild   R    ] net-misc/freerdp-2.0.0_rc0  USE="gstreamer* libav* xinerama*"
[ebuild   R    ] sys-fs/cryptsetup-1.7.5  USE="python* static-libs*"
[ebuild   R    ] dev-libs/redland-1.0.16  USE="static-libs*"
[ebuild  N     ] dev-qt/qtwebengine-5.7.1-r2  USE="alsa pulseaudio system-ffmpeg widgets -bindist -debug -geolocation -pax_kernel -system-icu {-test}"
[ebuild   R    ] net-libs/libmbim-1.14.0  USE="static-libs*"
[ebuild   R    ] media-gfx/gimp-2.8.22-r1  USE="aalib* curl* python*"
[ebuild  N     ] media-video/mplayer-1.3.0-r4  USE="X a52 aalib alsa bidi bl bs2b cddb cdio cdparanoia cpudetection dga dts dv dvb dvd dvdnav enca encode faac faad fbcon ftp ggi gif gsm iconv ipv6 jpeg ladspa libass libcaca libmpeg2 lirc live lzo mad md5sum mng mp3 nas network nut openal opengl osdmenu oss png pnm pulseaudio pvr radio rar rtc rtmp samba sdl shm speex tga theora toolame tremor truetype twolame unicode v4l vcd vorbis x264 xinerama xscreensaver xv xvid xvmc yuv4mpeg zoran (-altivec) (-aqua) -bluray -debug -doc -jack -joystick (-selinux) -vdpau (-vidix)" CPU_FLAGS_X86="mmx mmxext sse sse2 ssse3 -3dnow -3dnowext" VIDEO_CARDS="-mga (-tdfx)"
[ebuild   R    ] gnome-base/gvfs-1.32.1-r1  USE="samba*"
[ebuild   R    ] app-office/libreoffice-bin-5.4.5.1  USE="java*"
[ebuild   R    ] net-libs/libqmi-1.16.2  USE="static-libs*"
[ebuild   R    ] media-libs/phonon-4.9.1-r1  USE="gstreamer*"
[ebuild  N     ] media-libs/phonon-gstreamer-4.9.0-r1  USE="alsa network qt4 qt5 -debug"
[ebuild  N     ] kde-apps/ktp-call-ui-17.08.3  USE="-debug"
[ebuild   R    ] kde-plasma/plasma-desktop-5.11.5  USE="appstream* gtk2* gtk3* ibus* legacy-systray* scim*"
[ebuild   R    ] kde-apps/plasma-telepathy-meta-17.08.3  USE="gstreamer*"
[blocks B      ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-video/libav-11.8)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

app-arch/snappy:0

  (app-arch/snappy-1.1.7:0/1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (app-arch/snappy-1.1.3-r1:0/0::gentoo, installed) pulled in by
    app-arch/snappy[static-libs] required by (dev-libs/leveldb-1.18-r2:0/0::gentoo, ebuild scheduled for merge)
                    ^^^^^^^^^^^                                                                                                                   


!!! Enabling --newuse and --update might solve this conflict.
!!! If not, it might help emerge to give a more specific suggestion.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/ffmpeg-3.3.6:0/55.57.57::gentoo, ebuild scheduled for merge) pulled in by
    >=media-video/ffmpeg-3.0:0=[vdpau?] (>=media-video/ffmpeg-3.0:0=) required by (media-video/mplayer-1.3.0-r4:0/0::gentoo, ebuild scheduled for merge)
    media-video/ffmpeg:0= required by (dev-qt/qtwebengine-5.7.1-r2:5/5.7::gentoo, ebuild scheduled for merge)

  (media-video/libav-11.8:0/11::gentoo, installed) pulled in by
    media-video/libav:0= required by (media-video/vlc-2.2.8-r1:0/5-8::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


He estado tratando de arreglar, así que la salida puede variar con respecto a la primera imagen.

Gracias por la atención quilosaq
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1271

PostPosted: Sun Mar 04, 2018 5:19 pm    Post subject: Reply with quote

Code:
app-arch/snappy:0

  (app-arch/snappy-1.1.7:0/1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (app-arch/snappy-1.1.3-r1:0/0::gentoo, installed) pulled in by
    app-arch/snappy[static-libs] required by (dev-libs/leveldb-1.18-r2:0/0::gentoo, ebuild scheduled for merge)
                    ^^^^^^^^^^^

Parece que tienes app-arch/snappy en tu world. Quítalo de ahí para que se instale sólo como dependencia:
Code:
emerge --deselect app-arch/snappy


Tu emerge --info dice que tiene activada la use static-libs de forma global. Salvo que tengas una razón muy específica elimina esa configuración.
Back to top
View user's profile Send private message
carlos plaza
Apprentice
Apprentice


Joined: 22 Jan 2005
Posts: 244
Location: Venezuela

PostPosted: Mon Mar 05, 2018 12:13 am    Post subject: Reply with quote

Gracias quilosaq
quilosaq wrote:
Code:
app-arch/snappy:0

  (app-arch/snappy-1.1.7:0/1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (app-arch/snappy-1.1.3-r1:0/0::gentoo, installed) pulled in by
    app-arch/snappy[static-libs] required by (dev-libs/leveldb-1.18-r2:0/0::gentoo, ebuild scheduled for merge)
                    ^^^^^^^^^^^

Parece que tienes app-arch/snappy en tu world. Quítalo de ahí para que se instale sólo como dependencia:
Code:
emerge --deselect app-arch/snappy


Tu emerge --info dice que tiene activada la use static-libs de forma global. Salvo que tengas una razón muy específica elimina esa configuración.


Hice el "emerge --deselect app-arch/snappy" soluciono lo del snappy; quite también varias USES aparte de la que me recomendaste.
Quite varios paquetes que tenia enmascarado, elimine "media-video/vlc; media-libs/phonon-vlc; media-video/libav" luego hice "emerge @preserved-rebuild" y se quitaron varios errores, hasta aquí todo bien.

Cuando di "emerge @preserved-rebuild" instalo "media-video/ffmpeg" y "dev-qt/qtwebengine" pero este ultimo duro 8 horas compilando :evil: :evil: :evil:

Pero cuando hago emerge --ask --changed-use --deep @world sigo con el problema de bloqueo :?: :?: :?: :?:
Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/libogg-1.3.3  USE="-static-libs*"
[ebuild   R    ] media-libs/opus-1.2.1  USE="-static-libs*"
[ebuild   R    ] dev-libs/lzo-2.09  USE="-static-libs*"
[ebuild   R    ] dev-libs/libaio-0.3.110  USE="-static-libs*"
[ebuild   R    ] sys-libs/libutempter-1.1.6-r2  USE="-static-libs*"
[ebuild   R    ] media-plugins/live-2017.10.28  USE="-static-libs*"
[ebuild   R    ] media-libs/libdvbpsi-1.3.1  USE="-static-libs*"
[ebuild   R    ] sys-apps/tcp-wrappers-7.6.22-r1  USE="-static-libs*"
[ebuild   R    ] media-libs/webrtc-audio-processing-0.3  USE="-static-libs*"
[ebuild   R    ] net-libs/http-parser-2.6.2  USE="-static-libs*"
[ebuild   R    ] dev-libs/snowball-stemmer-0.20140325  USE="-static-libs*"
[ebuild   R    ] dev-db/lmdb-0.9.18  USE="-static-libs*"
[ebuild   R    ] app-text/libexttextcat-3.4.5  USE="-static-libs*"
[ebuild   R    ] sci-libs/suitesparseconfig-4.2.1-r1  USE="-static-libs*"
[ebuild   R    ] media-libs/libsidplayfp-1.1.0  USE="-static-libs*"
[ebuild   R    ] dev-util/cppunit-1.14.0  USE="-static-libs*"
[ebuild   R    ] net-libs/libmnl-1.0.4  USE="-static-libs*"
[ebuild   R    ] dev-libs/xapian-1.4.4  USE="-static-libs*"
[ebuild   R    ] media-libs/jbig2dec-0.13-r4  USE="-static-libs*"
[ebuild   R    ] dev-libs/libbsd-0.8.6  USE="-static-libs*"
[ebuild   R    ] sys-libs/mtdev-1.1.5  USE="-static-libs*"
[ebuild   R    ] sys-apps/keyutils-1.5.9-r4  USE="-static-libs*"
[ebuild   R    ] sys-libs/libseccomp-2.3.2  USE="-static-libs*"
[ebuild   R    ] app-arch/xz-utils-5.2.3  USE="-static-libs*"
[ebuild   R    ] media-libs/giflib-5.1.4  USE="-static-libs*"
[ebuild   R    ] dev-libs/libyaml-0.1.7  USE="-static-libs*"
[ebuild   R    ] dev-libs/libunistring-0.9.7  USE="-static-libs*"
[ebuild   R    ] media-libs/libcddb-1.3.2-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libffi-3.2.1  USE="-static-libs*"
[ebuild   R    ] dev-libs/npth-1.3  USE="-static-libs*"
[ebuild   R    ] media-libs/libsidplay-2.1.1-r4  USE="-static-libs*"
[ebuild   R    ] media-libs/vo-aacenc-0.1.3  USE="-static-libs*"
[ebuild   R    ] media-libs/libdvdcss-1.4.0  USE="-static-libs*"
[ebuild   R    ] media-libs/libid3tag-0.15.1b-r4  USE="-static-libs*"
[ebuild   R    ] dev-libs/libdaemon-0.14-r2  USE="-static-libs*"
[ebuild   R    ] dev-libs/libltdl-2.4.6  USE="-static-libs*"
[ebuild   R    ] dev-libs/gmp-6.1.2  USE="-static-libs*"
[ebuild   R    ] dev-libs/mpfr-3.1.6  USE="-static-libs*"
[ebuild   R    ] dev-libs/mpc-1.0.3  USE="-static-libs*"
[ebuild   R    ] sci-libs/fftw-3.3.6_p2  USE="-static-libs*"
[ebuild   R    ] media-libs/libcue-1.4.0  USE="-static-libs*"
[ebuild   R    ] media-libs/x264-0.0.20170701  USE="-static-libs*"
[ebuild   R    ] media-libs/libmms-0.6.4  USE="-static-libs*"
[ebuild   R    ] media-libs/sbc-1.3  USE="-static-libs*"
[ebuild   R    ] app-text/libwpg-0.3.2  USE="-static-libs*"
[ebuild   R    ] app-text/libwps-0.4.8  USE="-static-libs*"
[ebuild   R    ] sci-libs/colamd-2.8.0  USE="-static-libs*"
[ebuild   R    ] media-libs/ilmbase-2.2.0-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libpipeline-1.4.2  USE="-static-libs*"
[ebuild   R    ] net-firewall/iptables-1.6.1-r3  USE="-static-libs*"
[ebuild   R    ] sys-fs/fuse-2.9.7  USE="-static-libs*"
[ebuild   R    ] sci-mathematics/lpsolve-5.5.2.0  USE="-static-libs*"
[ebuild   R    ] media-libs/libmp4v2-2.0.0  USE="-static-libs*"
[ebuild   R    ] sys-apps/lm_sensors-3.4.0_p20170901  USE="-static-libs*"
[ebuild   R    ] app-crypt/mhash-0.9.9.9-r2  USE="-static-libs*"
[ebuild   R    ] dev-lang/orc-0.4.27  USE="-static-libs*"
[ebuild   R    ] dev-libs/expat-2.2.5  USE="-static-libs*"
[ebuild   R    ] x11-libs/libICE-1.0.9-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/icu-60.2  USE="-static-libs*"
[ebuild   R    ] media-libs/libvorbis-1.3.5  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXau-1.0.8  USE="-static-libs*"
[ebuild   R    ] media-libs/speex-1.2.0-r1  USE="-static-libs*"
[ebuild   R    ] media-libs/libdvdread-6.0.0  USE="-static-libs*"
[ebuild   R    ] media-libs/libmodplug-0.8.8.5  USE="-static-libs*"
[ebuild   R    ] media-sound/wavpack-5.1.0  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXdmcp-1.1.2-r1  USE="-static-libs*"
[ebuild   R    ] x11-libs/pixman-0.34.0  USE="-static-libs*"
[ebuild   R    ] media-libs/speexdsp-1.2_rc3-r2  USE="-static-libs*"
[ebuild   R    ] media-libs/faad2-2.7-r3  USE="-static-libs*"
[ebuild   R    ] x11-libs/libfontenc-1.1.3  USE="-static-libs*"
[ebuild   R    ] media-libs/libdca-0.0.5-r3  USE="-oss* -static-libs*"
[ebuild   R    ] dev-libs/libpthread-stubs-0.4  USE="-static-libs*"
[ebuild   R    ] x11-libs/libxshmfence-1.2  USE="-static-libs*"
[ebuild   R    ] media-libs/a52dec-0.7.4-r7  USE="-static-libs*"
[ebuild   R    ] media-libs/libmad-0.15.1b-r8  USE="-static-libs*"
[ebuild   R    ] app-arch/snappy-1.1.3-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/iniparser-3.1-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/nettle-3.3-r2  USE="-static-libs*"
[ebuild   R    ] media-libs/tremor-0_pre20130223-r1  USE="-static-libs*"
[ebuild   R    ] media-libs/faac-1.28-r4  USE="-static-libs*"
[ebuild   R    ] dev-util/google-perftools-2.6.2  USE="-static-libs*"
[ebuild   R    ] dev-libs/json-c-0.12  USE="-static-libs*"
[ebuild   R    ] dev-libs/libsodium-1.0.11  USE="-static-libs*"
[ebuild   R    ] dev-libs/libev-4.23  USE="-static-libs*"
[ebuild   R    ] media-libs/openexr-2.2.0-r2  USE="-static-libs*"
[ebuild   R    ] app-text/libmwaw-0.3.13  USE="-static-libs*"
[ebuild   R    ] net-libs/libsrtp-1.6.0  USE="-static-libs*"
[ebuild   R    ] dev-libs/protobuf-3.5.1.1  USE="-static-libs*"
[ebuild   R    ] dev-libs/zthread-2.3.2-r4  USE="-static-libs*"
[ebuild   R    ] sci-libs/hdf5-1.8.18  USE="-static-libs*"
[ebuild   R    ] media-libs/libtheora-1.1.1-r1  USE="-static-libs*"
[ebuild   R    ] media-libs/libdvdnav-6.0.0  USE="-static-libs*"
[ebuild   R    ] dev-libs/leveldb-1.18-r2  USE="-static-libs*"
[ebuild   R    ] dev-libs/libverto-0.2.5-r1  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXfont2-2.0.3  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXfont-1.5.4  USE="-static-libs*"
[ebuild   R    ] media-libs/fontconfig-2.12.6  USE="-static-libs*"
[ebuild   R    ] dev-libs/libsigc++-2.10.0  USE="-static-libs*"
[ebuild   R    ] dev-libs/libgamin-0.1.10-r5  USE="-static-libs*"
[ebuild   R    ] dev-libs/double-conversion-2.0.1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libevdev-1.5.7  USE="-static-libs*"
[ebuild   R    ] dev-libs/boost-1.65.0  USE="-static-libs*"
[ebuild   R    ] app-text/libmspub-0.1.2  USE="-static-libs*"
[ebuild   R    ] dev-libs/libixion-0.12.2  USE="-static-libs*"
[ebuild   R    ] dev-libs/liborcus-0.12.1  USE="-static-libs*"
[ebuild   R    ] sys-libs/cracklib-2.9.6-r1  USE="-static-libs*"
[ebuild   R    ] sys-apps/file-5.32  USE="-static-libs*"
[ebuild   R    ] sys-apps/kmod-24  USE="-static-libs*"
[ebuild   R    ] media-libs/tiff-4.0.8  USE="-static-libs*"
[ebuild   R    ] app-text/qpdf-7.0.0  USE="-static-libs*"
[ebuild   R    ] media-libs/lcms-2.9  USE="-static-libs*"
[ebuild   R    ] media-libs/gd-2.2.4  USE="-static-libs*"
[ebuild   R    ] media-libs/libmng-2.0.2-r1  USE="-static-libs*"
[ebuild   R    ] media-libs/libcdr-0.1.4  USE="-static-libs*"
[ebuild   R    ] media-libs/libfreehand-0.1.2  USE="-static-libs*"
[ebuild   R    ] dev-qt/qtdbus-4.8.7  USE="pch*"
[ebuild   R    ] media-libs/glu-9.0.0-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libusb-compat-0.1.5-r2  USE="-static-libs*"
[ebuild   R    ] sci-libs/gsl-1.16  USE="-static-libs*"
[ebuild   R    ] media-sound/cdparanoia-3.10.2-r6  USE="-static-libs*"
[ebuild   R    ] x11-libs/libpciaccess-0.13.4  USE="-static-libs*"
[ebuild   R    ] sys-apps/usbutils-008-r1  USE="python*"
[ebuild   R    ] x11-libs/libdrm-2.4.88  USE="-static-libs*"
[ebuild   R    ] media-libs/libpano13-2.9.19  USE="-static-libs*"
[ebuild   R    ] virtual/acl-0-r2  USE="-static-libs*"
[ebuild   R    ] sys-libs/ncurses-6.0-r1  USE="-static-libs*"
[ebuild   R    ] sys-libs/readline-7.0_p3  USE="-static-libs*"
[ebuild   R    ] sys-process/procps-3.3.12-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libxml2-2.9.7  USE="-static-libs*"
[ebuild   R    ] dev-libs/libpcre-8.41-r1  USE="-static-libs*"
[ebuild   R    ] dev-db/sqlite-3.21.0  USE="-static-libs*"
[ebuild   R    ] sys-libs/gdbm-1.13-r2  USE="-static-libs*"
[ebuild   R    ] dev-libs/libpcre2-10.30  USE="-static-libs*"
[ebuild   R    ] dev-db/unixODBC-2.3.5-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/wayland-1.13.0  USE="-static-libs*"
[ebuild   R    ] media-libs/libvisio-0.1.6  USE="-static-libs*"
[ebuild   R    ] app-text/libabw-0.1.1  USE="-static-libs*"
[ebuild   R    ] sys-libs/slang-2.3.0  USE="-static-libs*"
[ebuild   R    ] sys-libs/libcap-ng-0.7.8  USE="-static-libs*"
[ebuild   R    ] dev-libs/libnl-3.2.28  USE="-static-libs*"
[ebuild   R    ] dev-libs/check-0.12.0  USE="-static-libs*"
[ebuild   R    ] dev-python/subunit-1.2.0-r1  USE="-static-libs*"
[ebuild   R    ] sys-apps/openrc-0.34.11  USE="-static-libs*"
[ebuild   R    ] dev-libs/openssl-1.0.2n  USE="-static-libs*"
[ebuild   R    ] dev-libs/cyrus-sasl-2.1.26-r9  USE="-static-libs*"
[ebuild   R    ] net-libs/libssh2-1.7.0  USE="-static-libs*"
[ebuild   R    ] media-libs/opusfile-0.6  USE="-static-libs*"
[ebuild   R    ] dev-libs/libevent-2.1.8  USE="-static-libs*"
[ebuild   R    ] app-text/libspectre-0.2.7  USE="-static-libs*"
[ebuild     U  ] media-libs/openjpeg-2.3.0 [2.2.0] USE="-static-libs*"
[ebuild   R    ] net-libs/libssh-0.7.4  USE="-static-libs*"
[ebuild   R    ] dev-libs/libical-2.0.0-r3  USE="-static-libs*"
[ebuild   R    ] dev-cpp/clucene-2.3.3.4-r6  USE="-static-libs*"
[ebuild   R    ] dev-libs/crypto++-5.6.5-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libtasn1-4.12-r1  USE="-static-libs*"
[ebuild   R    ] net-dns/libidn2-2.0.4  USE="-static-libs*"
[ebuild   R    ] dev-lang/spidermonkey-1.8.5-r6  USE="-static-libs*"
[ebuild  N     ] media-plugins/gst-plugins-libnice-0.1.13-r100  ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] app-text/mythes-1.2.4  USE="-static-libs*"
[ebuild   R    ] dev-libs/glib-2.52.3  USE="-static-libs*"
[ebuild   R    ] dev-libs/fribidi-0.19.6  USE="-static-libs*"
[ebuild  N     ] media-plugins/gst-plugins-wavpack-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] media-libs/lensfun-0.3.2-r1 [0.3.1] PYTHON_SINGLE_TARGET="python3_5%* -python3_4% -python3_6%" PYTHON_TARGETS="python3_5%* -python3_4% -python3_6%"
[ebuild  N     ] net-libs/farstream-0.2.8-r1  USE="introspection {-test} -upnp"
[ebuild  N     ] net-libs/telepathy-farstream-0.6.2  USE="introspection -examples"
[ebuild   R    ] x11-libs/libX11-1.6.5  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXext-1.3.3  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXrender-0.9.10  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXfixes-5.0.3  USE="-static-libs*"
[ebuild   R    ] media-libs/aalib-1.4_rc5-r6  USE="-static-libs*"
[ebuild   R    ] app-misc/lirc-0.9.0-r6  USE="-static-libs*"
[ebuild   R    ] x11-libs/libxkbfile-1.0.9  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXi-1.7.9  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXinerama-1.1.3  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXrandr-1.5.1  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXcursor-1.1.15  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXft-2.3.2  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXv-1.0.11  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXdamage-1.1.4-r1  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXcomposite-0.4.4-r1  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXxf86vm-1.1.4  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXaw-1.0.13  USE="deprecated*"
[ebuild   R    ] x11-libs/libXScrnSaver-1.2.2-r1  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXres-1.0.7  USE="-static-libs*"
[ebuild   R    ] media-libs/imlib-1.9.15-r5  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXxf86dga-1.1.4  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXtst-1.2.3  USE="-static-libs*"
[ebuild   R    ] media-libs/nas-1.9.4-r1  USE="-static-libs*"
[ebuild   R    ] media-libs/freeglut-3.0.0  USE="-static-libs*"
[ebuild   R    ] x11-libs/libXvMC-1.0.10  USE="-static-libs*"
[ebuild   R    ] media-libs/ftgl-2.1.3_rc5  USE="-static-libs*"
[ebuild   R    ] media-libs/libwebp-0.5.2  USE="-static-libs*"
[ebuild   R    ] media-libs/libcaca-0.99_beta19  USE="-static-libs*"
[ebuild   R    ] media-libs/imlib2-1.4.9  USE="-static-libs*"
[ebuild   R    ] x11-libs/libxcb-1.12-r2  USE="-static-libs*"
[ebuild   R    ] x11-libs/xcb-util-keysyms-0.4.0  USE="-static-libs*"
[ebuild   R    ] x11-libs/libxkbcommon-0.7.1  USE="-static-libs*"
[ebuild   R    ] x11-libs/xcb-util-wm-0.4.1-r1  USE="-static-libs*"
[ebuild   R    ] x11-libs/xcb-util-renderutil-0.3.9-r1  USE="-static-libs*"
[ebuild   R    ] x11-libs/xpyb-1.3.1-r3  USE="-static-libs*"
[ebuild   R    ] x11-libs/xcb-util-0.4.0  USE="-static-libs*"
[ebuild   R    ] x11-libs/xcb-util-image-0.4.0  USE="-static-libs*"
[ebuild   R    ] x11-libs/startup-notification-0.12-r1  USE="-static-libs*"
[ebuild   R    ] x11-libs/xcb-util-cursor-0.1.3-r1  USE="-static-libs*"
[ebuild   R    ] kde-frameworks/kio-5.40.0-r3  USE="kerberos*"
[ebuild   R    ] sys-apps/util-linux-2.30.2  USE="python*"
[ebuild   R    ] dev-libs/apr-1.5.2  USE="-static-libs*"
[ebuild   R    ] media-sound/pulseaudio-11.1  USE="lirc*"
[ebuild   R    ] media-plugins/alsa-plugins-1.1.1-r1  USE="libav* speex*"
[ebuild   R    ] media-libs/libsdl2-2.0.4  USE="nas* xinerama*"
[ebuild   R    ] dev-qt/qtgui-4.8.7  USE="nas* pch* xinerama*"
[ebuild   R    ] dev-qt/qt3support-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/qtsvg-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/qtopengl-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/designer-4.8.7  USE="pch*"
[ebuild   R    ] dev-qt/qtdeclarative-4.8.7  USE="pch*"
[ebuild   R    ] sys-apps/attr-2.4.47-r2  USE="-static-libs*"
[ebuild   R    ] sys-libs/libcap-2.24-r2  USE="-static-libs*"
[ebuild   R    ] app-arch/libarchive-3.3.1  USE="lzo*"
[ebuild   R    ] x11-libs/gtk+-3.22.19  USE="xinerama*"
[ebuild   R    ] net-misc/curl-7.58.0  USE="kerberos* rtmp* samba* -static-libs*"
[ebuild  N     ] dev-python/pycurl-7.43.0  USE="ssl -examples {-test}" CURL_SSL="openssl -gnutls -libressl -nss" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild   R    ] dev-cpp/libcmis-0.5.2_pre20160820-r1  USE="-static-libs*"
[ebuild   R    ] app-admin/conky-1.10.4  USE="curl*"
[ebuild  N     ] dev-vcs/bzr-2.7.0  USE="curl sftp -doc {-test}" PYTHON_TARGETS="python2_7"
[ebuild   R    ] dev-libs/libgcrypt-1.8.1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libxslt-1.1.30-r2  USE="-static-libs*"
[ebuild   R    ] media-libs/raptor-2.0.14  USE="-static-libs*"
[ebuild   R    ] dev-libs/xmlsec-1.2.24-r1  USE="-static-libs*"
[ebuild   R    ] net-libs/gnutls-3.5.15  USE="-static-libs*"
[ebuild   R    ] net-nds/openldap-2.4.44  USE="kerberos* samba* sasl* -static-libs*"
[ebuild   R    ] net-libs/neon-0.30.2  USE="-static-libs*"
[ebuild   R    ] net-libs/libvncserver-0.9.11-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/apr-util-1.5.4  USE="-static-libs*"
[ebuild   R    ] net-misc/openssh-7.5_p1-r4  USE="kerberos*"
[ebuild   R    ] net-print/cups-2.1.4  USE="-static-libs*"
[ebuild   R    ] net-wireless/bluez-5.48-r1  USE="deprecated* test-programs*"
[ebuild   R    ] net-misc/freerdp-2.0.0_rc0  USE="gstreamer* libav* xinerama*"
[ebuild   R    ] media-libs/mesa-17.2.8  USE="xvmc*"
[ebuild   R    ] x11-base/xorg-server-1.19.5-r1  USE="-static-libs*"
[ebuild   R    ] x11-drivers/xf86-video-intel-2.99.917_p20170313  USE="xvmc*"
[ebuild   R    ] x11-drivers/xf86-video-dummy-0.3.8  USE="dga*"
[ebuild   R    ] dev-libs/libgpg-error-1.27-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libassuan-2.5.1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libksba-1.3.5-r1  USE="-static-libs*"
[ebuild   R    ] app-crypt/gpgme-1.10.0  USE="-static-libs*"
[ebuild   R    ] media-libs/gst-plugins-bad-1.12.3  USE="vcd*"
[ebuild  N     ] media-plugins/gst-plugins-modplug-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-libmms-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-plugins/gst-plugins-dvb-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] dev-libs/popt-1.16-r2  USE="-static-libs*"
[ebuild   R    ] sys-fs/cryptsetup-1.7.5  USE="python*"
[ebuild   R    ] media-libs/libdv-1.0.0-r3  USE="-static-libs*"
[ebuild  N     ] media-plugins/gst-plugins-dv-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] sys-apps/acl-2.2.52-r1  USE="-static-libs*"
[ebuild   R    ] app-text/hunspell-1.6.1-r1  USE="-static-libs*"
[ebuild   R    ] app-text/enchant-1.6.1  USE="-static-libs*"
[ebuild   R    ] dev-libs/hyphen-2.8.8  USE="-static-libs*"
[ebuild   R    ] media-libs/libsdl-1.2.15-r9  USE="aalib* dga* fbcon* libcaca* nas* xinerama* -static-libs*"
[ebuild   R    ] media-sound/mpg123-1.25.6  USE="nas*"
[ebuild   R    ] media-libs/libsndfile-1.0.28-r1  USE="-static-libs*"
[ebuild   R    ] media-sound/twolame-0.3.13-r2  USE="-static-libs*"
[ebuild   R    ] media-sound/lame-3.100  USE="-static-libs*"
[ebuild   R    ] media-libs/libsamplerate-0.1.9  USE="-static-libs*"
[ebuild   R    ] media-libs/flac-1.3.2-r1  USE="-static-libs*"
[ebuild   R    ] media-libs/audiofile-0.3.6-r3  USE="-static-libs*"
[ebuild   R    ] net-libs/libsoup-2.58.2  USE="samba*"
[ebuild  N     ] media-plugins/gst-plugins-soup-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] kde-frameworks/kdelibs-4.14.37  USE="kerberos*"
[ebuild   R    ] kde-apps/kget-17.08.3  USE="mms*"
[ebuild   R    ] dev-qt/qtwebkit-5.7.1  USE="gstreamer*"
[ebuild   R    ] app-text/poppler-0.62.0-r1  USE="curl*"
[ebuild   R    ] kde-frameworks/kfilemetadata-5.40.0  USE="libav*"
[ebuild  N     ] dev-libs/appstream-0.10.6-r1  USE="qt5 -apt -doc {-test}"
[ebuild  N     ] dev-vcs/git-2.16.1  USE="blksha1 curl gpg iconv nls pcre pcre-jit perl python subversion threads webdav -cgi -cvs -doc -emacs -gnome-keyring -highlight -libressl -mediawiki -mediawiki-experimental (-ppcsha1) {-test} -tk -xinetd" PYTHON_TARGETS="python2_7"
[ebuild   R    ] sys-devel/gettext-0.19.8.1  USE="git* java* -static-libs*"
[ebuild   R    ] sys-devel/binutils-2.29.1-r1  USE="-static-libs*"
[ebuild   R    ] dev-vcs/subversion-1.9.7-r1  USE="apache2* extras* java* python* sasl*"
[ebuild   R    ] sys-libs/e2fsprogs-libs-1.43.6  USE="-static-libs*"
[ebuild   R    ] net-dns/libidn-1.33-r2  USE="java* -static-libs*"
[ebuild   R    ] sys-libs/binutils-libs-2.29.1-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/elfutils-0.170-r1  USE="-static-libs*"
[ebuild   R    ] dev-lang/yasm-1.3.0  USE="python*"
[ebuild   R    ] app-editors/vim-8.0.1298  USE="python*"
[ebuild   R    ] app-text/liblangtag-0.6.2  USE="-static-libs*"
[ebuild   R    ] media-libs/libexif-0.6.21-r1  USE="-static-libs*"
[ebuild   R    ] dev-libs/libcdio-0.93  USE="cddb* -static-libs*"
[ebuild   R    ] app-crypt/rhash-1.3.5  USE="-static-libs*"
[ebuild   R    ] net-libs/gupnp-igd-0.2.4  USE="python*"
[ebuild  N     ] dev-libs/json-glib-1.2.8  USE="introspection -debug" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] app-i18n/enca-1.19-r1  USE="-static-libs*"
[ebuild   R    ] app-text/opensp-1.5.2-r3  USE="-static-libs*"
[ebuild   R    ] x11-wm/fluxbox-1.3.7-r3  USE="bidi*"
[ebuild   R    ] x11-wm/windowmaker-0.95.8-r1  USE="xinerama*"
[ebuild   R    ] dev-libs/libpwquality-1.4.0  USE="python* -static-libs*"
[ebuild   R    ] sys-apps/man-db-2.7.6.1-r2  USE="-static-libs*"
[ebuild   R    ] x11-libs/cairo-1.14.12  USE="-static-libs*"
[ebuild  N     ] media-video/libav-11.8  USE="X aac alsa bs2b bzip2 cpudetection encode faac gpl gsm hardcoded-tables mp3 network opus pulseaudio rtmp sdl speex ssl theora truetype twolame vorbis wavpack x264 xvid zlib (-altivec) -amr (-armv5te) (-armv6) (-armv6t2) (-armvfp) -cdio -custom-cflags -debug -doc -fdk -fontconfig -frei0r -ieee1394 -jack -jpeg2k -libressl (-neon) -openssl -oss -pic -schroedinger -static-libs {-test} -threads -tools -v4l -vaapi -vdpau -vpx -webp -x265" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="avx mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -avx2 -fma3 -fma4 -xop"
[ebuild  N     ] app-portage/layman-2.4.2  USE="bazaar git mercurial subversion -cvs -darcs (-g-sorcery) -gpg -sqlite -squashfs -sync-plugin-portage {-test}" PYTHON_TARGETS="python2_7 python3_5 (-pypy) -python3_4 -python3_6"
[ebuild   R    ] dev-libs/libcdio-paranoia-0.93_p1  USE="-static-libs*"
[ebuild   R    ] app-text/libetonyek-0.1.7  USE="-static-libs*"
[ebuild   R    ] media-libs/libvpx-1.5.0  USE="-static-libs*"
[ebuild   R    ] app-text/openjade-1.3.2-r7  USE="-static-libs*"
[ebuild   R    ] media-gfx/feh-2.18.3  USE="curl* xinerama*"
[ebuild   R    ] x11-libs/gtk+-2.24.31-r1  USE="xinerama*"
[ebuild   R    ] media-libs/harfbuzz-1.7.2  USE="-static-libs*"
[ebuild  N     ] app-admin/packagekit-base-1.1.7  USE="elogind introspection -command-not-found -cron (-entropy) -systemd {-test} -vala" PYTHON_TARGETS="python2_7"
[ebuild   R    ] media-libs/gegl-0.2.0-r5  USE="libav*"
[ebuild   R    ] gnome-base/gvfs-1.32.1-r1  USE="samba*"
[ebuild  N     ] media-video/mjpegtools-2.1.0-r2  USE="dv gtk png sdl -quicktime -sdlgfx -static-libs" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="mmx"
[ebuild  N     ] app-admin/packagekit-qt-1.0.0
[ebuild   R    ] media-libs/libcanberra-0.30-r5  USE="gstreamer*"
[ebuild  N     ] dev-libs/libdbusmenu-12.10.2-r2  USE="gtk gtk3 introspection -debug" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild   R    ] gnome-base/libglade-2.6.4-r2  USE="-static-libs*"
[ebuild   R    ] x11-libs/wxGTK-3.0.3  USE="gstreamer*"
[ebuild   R    ] x11-misc/xlockmore-5.50  USE="nas* xinerama*"
[ebuild   R    ] media-gfx/gimp-2.8.22-r1  USE="aalib* curl* python*"
[ebuild   R    ] app-office/libreoffice-bin-5.4.5.1  USE="java*"
[ebuild  N     ] media-plugins/gst-plugins-mplex-1.12.3  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libappindicator-12.10.0-r301  USE="introspection" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libappindicator-12.10.0-r201  USE="introspection python" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild   R    ] media-gfx/hugin-2016.2.0  USE="python*"
[ebuild   R    ] media-plugins/gst-plugins-meta-1.12.3  USE="dv* dvb* mms* modplug* opus* vcd* wavpack*"
[ebuild   R    ] dev-qt/qtgui-5.7.1-r1  USE="ibus*"
[ebuild  N     ] app-i18n/ibus-1.5.16  USE="X emoji gtk gtk2 introspection kde libnotify nls python -gconf {-test} -vala -wayland" PYTHON_TARGETS="python2_7 python3_5 -python3_4 -python3_6"
[ebuild   R    ] kde-frameworks/ktexteditor-5.40.0  USE="git*"
[ebuild   R    ] kde-frameworks/frameworkintegration-5.40.0  USE="appstream*"
[ebuild  N     ] media-video/vlc-2.2.8-r1  USE="X a52 aalib alsa avcodec avformat bidi cdda cddb dbus dts dvb dvbpsi dvd encode faad ffmpeg flac gcrypt gnutls gstreamer jpeg libav libcaca libnotify libsamplerate lirc live modplug mp3 mpeg musepack ncurses ogg opengl opus png projectm pulseaudio qt5 samba sdl sid speex svg swscale theora tremor truetype twolame udev vorbis x264 xcb xml xv (-altivec) -atmo (-audioqueue) -bluray -chromaprint -dc1394 -debug (-directx) (-dxva2) -fdk -fluidsynth -fontconfig -gme -gnome -growl -httpd -ieee1394 -jack -kate -libass -libtar -libtiger -linsys -lua (-macosx-dialog-provider) (-macosx-eyetv) (-macosx-qtkit) (-macosx-quartztext) -matroska -mtp (-neon) -omxil -opencv -optimisememory -postproc -rdp -rtsp -run-as-root -schroedinger -sdl-image -sftp -shout -skins -taglib {-test} -upnp -v4l -vaapi -vcdx -vdpau -vlm -vnc -vpx -wma-fixed -x265 -zeroconf -zvbi" CPU_FLAGS_X86="mmx sse"
[ebuild   R    ] kde-apps/kio-extras-17.08.3  USE="samba*"
[ebuild   R    ] net-libs/telepathy-qt-0.9.7-r1  USE="farstream*"
[ebuild   R    ] media-libs/openal-1.18.2-r1  USE="-oss*"
[ebuild   R    ] media-sound/qmmp-1.1.7-r1  USE="-mplayer* -oss*"
[ebuild   R    ] media-libs/opencv-2.4.13-r3  USE="gstreamer* java* libav* pch*"
[ebuild   R    ] media-libs/phonon-4.9.1-r1  USE="gstreamer*"
[ebuild  N     ] media-libs/phonon-gstreamer-4.9.0-r1  USE="alsa network qt4 qt5 -debug"
[ebuild  N     ] media-libs/phonon-vlc-0.9.1-r1  USE="qt4 qt5 -debug"
[ebuild   R    ] kde-plasma/plasma-workspace-5.11.5-r1  USE="appstream*"
[ebuild  N     ] kde-apps/ktp-call-ui-17.08.3  USE="-debug"
[ebuild   R    ] kde-apps/plasma-telepathy-meta-17.08.3  USE="gstreamer*"
[ebuild   R    ] kde-plasma/plasma-desktop-5.11.5  USE="appstream* gtk2* gtk3* ibus* legacy-systray*"
[blocks B      ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-video/libav-11.8)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/ffmpeg-3.3.6:0/55.57.57::gentoo, installed) pulled in by
    media-video/ffmpeg:0= required by (dev-qt/qtwebengine-5.7.1-r2:5/5.7::gentoo, installed)
    media-video/ffmpeg:0/55.57.57= required by (dev-qt/qtwebengine-5.7.1-r2:5/5.7::gentoo, installed)

  (media-video/libav-11.8:0/11::gentoo, ebuild scheduled for merge) pulled in by
    media-video/libav:0= required by (media-video/vlc-2.2.8-r1:0/5-8::gentoo, ebuild scheduled for merge)


_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1271

PostPosted: Mon Mar 05, 2018 2:23 pm    Post subject: Reply with quote

Elimina temporalmente vlc de tu world:
Code:
emerge --deselect media-video/vlc
Back to top
View user's profile Send private message
carlos plaza
Apprentice
Apprentice


Joined: 22 Jan 2005
Posts: 244
Location: Venezuela

PostPosted: Wed Mar 07, 2018 8:13 pm    Post subject: Reply with quote

Gracias quilosaq siempre por tu colaboración
quilosaq wrote:
Elimina temporalmente vlc de tu world:
Code:
emerge --deselect media-video/vlc


Hice lo que me dijiste. Pero después de haber retenido en
Code:


echo 'media-video/ffmpeg-3.3.6''  >>  /etc/portage/profile/package.provided


pude actualizar 336 paquetes, pero "dev-qt/qtwebkit-5.7.1" y "dev-qt/qtwebengine-5.7.1-r2, dan error:
salida del final de dev-qt/qtwebengine-5.7.1-r2,
Code:
ninja: build stopped: subcommand failed.
make[3]: *** [Makefile.gyp_run:486: invoke_ninja] Error 1
make[3]: Leaving directory '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/work/qtwebengine-opensource-src-5.7.1/src/core'
make[2]: *** [Makefile:116: sub-gyp_run-pro-make_first] Error 2
make[2]: Leaving directory '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/work/qtwebengine-opensource-src-5.7.1/src/core'
make[1]: *** [Makefile:50: sub-core-make_first] Error 2
make[1]: Leaving directory '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/work/qtwebengine-opensource-src-5.7.1/src'
make: *** [Makefile:45: sub-src-make_first] Error 2
 * ERROR: dev-qt/qtwebengine-5.7.1-r2::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=dev-qt/qtwebengine-5.7.1-r2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-qt/qtwebengine-5.7.1-r2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/work/qtwebengine-opensource-src-5.7.1'
 * S: '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/work/qtwebengine-opensource-src-5.7.1'

>>> Failed to emerge dev-qt/qtwebengine-5.7.1-r2, Log file:

>>>  '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/temp/build.log'


He de acotar que todavía tengo retenido "media-video/ffmpeg-3.3.6'' en /etc/portage/profile/package.provided[ ya que cuando lo libero sigue con el error.
_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1271

PostPosted: Thu Mar 08, 2018 12:19 am    Post subject: Reply with quote

carlos plaza wrote:
...
Pero después de haber retenido en
Code:


echo 'media-video/ffmpeg-3.3.6''  >>  /etc/portage/profile/package.provided

...
ffmpeg-3.3.6 está en portage. No tiene sentido que lo pongas en package.provided.

carlos plaza wrote:

Code:
...
 * The complete build log is located at '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/temp/build.log'.
...
Para ver el error de qtwebengine se necesita el archivo log de construcción. Si es muy grande puedes usar pastebin.

carlos plaza wrote:
...
He de acotar que todavía tengo retenido "media-video/ffmpeg-3.3.6'' en /etc/portage/profile/package.provided[ ya que cuando lo libero sigue con el error.
¿Que error da?
Back to top
View user's profile Send private message
carlos plaza
Apprentice
Apprentice


Joined: 22 Jan 2005
Posts: 244
Location: Venezuela

PostPosted: Thu Mar 08, 2018 1:22 am    Post subject: Reply with quote

Gracias de nuevo quilosaq

Quote:
[quote="quilosaq"]
carlos plaza wrote:
...
Pero después de haber retenido en
Code:


echo 'media-video/ffmpeg-3.3.6''  >>  /etc/portage/profile/package.provided

...
ffmpeg-3.3.6 está en portage. No tiene sentido que lo pongas en package.provided.

Lo hice siguiendo el How-To
Code:
https://forums.gentoo.org/viewtopic-t-195629.html


Quote:
quilosaq wrote:

Code:
...
 * The complete build log is located at '/var/tmp/portage/dev-qt/qtwebengine-5.7.1-r2/temp/build.log'.
...
Para ver el error de qtwebengine se necesita el archivo log de construcción. Si es muy grande puedes usar pastebin.
Quote:
carlos plaza wrote:
Es demaciado granda mas de 12 megas y pastebin no lo acepta a menos que tenga una cuenta pro.

carlos plaza wrote:
...
He de acotar que todavía tengo retenido "media-video/ffmpeg-3.3.6'' en /etc/portage/profile/package.provided[ ya que cuando lo libero sigue con el error.
¿Que error da?


emerge -a media-video/ffmpeg
Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] media-video/ffmpeg-3.3.6  USE="X alsa bs2b bzip2 cpudetection encode gnutls gpl gsm hardcoded-tables iconv ladspa libcaca modplug mp3 network openal opengl opus postproc pulseaudio samba sdl speex theora threads truetype twolame vorbis wavpack x264 xcb xvid zlib (-altivec) -amr -amrenc -bluray -cdio -celt -chromaprint -chromium -debug -doc -fdk -flite -fontconfig -frei0r -fribidi -gcrypt -gme -gmp -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -libass -libilbc -librtmp -libsoxr -libv4l -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -nvenc -openh264 -openssl -oss -pic -rubberband -schroedinger -snappy -sofalizer -ssh -static-libs {-test} -v4l -vaapi -vdpau -vpx -webp -x265 -zeromq -zimg -zvbi" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="avx mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -aes -avx2 -fma3 -fma4 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher"
[blocks B      ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-video/libav-11.8)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/libav-11.8:0/11::gentoo, installed) pulled in by
    media-video/libav required by @selected

  (media-video/ffmpeg-3.3.6:0/55.57.57::gentoo, ebuild scheduled for merge) pulled in by
    media-video/ffmpeg


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages



Tengo tres paquetes que no dejan que tenga mi Gentoo limpio sin errores como debe ser :evil: :evil: :evil:
Quote:
media-video/ffmpeg-3.3.6
dev-qt/qtwebkit-5.7.1
qtwebengine-5.7.1-r2

_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
quilosaq
Veteran
Veteran


Joined: 22 Dec 2009
Posts: 1271

PostPosted: Thu Mar 08, 2018 1:57 am    Post subject: Reply with quote

Prueba a desinstalar media-video/libav y a permitir media-video/ffmpeg (quitarlo de .provider y .mask) a ver que bloqueo muestra.
Back to top
View user's profile Send private message
carlos plaza
Apprentice
Apprentice


Joined: 22 Jan 2005
Posts: 244
Location: Venezuela

PostPosted: Fri Mar 09, 2018 4:07 pm    Post subject: Reply with quote

Mil gracias de nuevo quilosaq
quilosaq wrote:
Prueba a desinstalar media-video/libav y a permitir media-video/ffmpeg (quitarlo de .provider y .mask) a ver que bloqueo muestra.

Bueno al fin logre arreglar el problema de bloqueo gracias a tus oportunas ayuda y a este foro ya que en este post logre terminar con el problema. https://forums.gentoo.org/viewtopic-t-1010480-start-0.html

Pasos de la solución
Quote:

1. desinstale "media-video/libav"

2. modifique la flag y la coloque "USE = "... -libav""

3. emerge -a @preserved-rebuild actualizo :"media-video/vlc-2.2.8-r1"

4. emerge -a --update --deep --newuse @world actualizo 7 paquetes: incluyendo dev-qt/qtwebkit-5.7.1 que duro
Fri Mar 9 11:27:32 2018 >>> dev-qt/qtwebkit-5.7.1
merge time: 11 hours, 10 minutes and 3 seconds.



Ahora cuando di el comando emerge --ask --changed-use --deep @world, la salida fue la siguiente, pero es un problema menor y con esto cierro el post y estando muy agradecido con tu ayuda quilosaq
Code:

These are the packages that would be merged, in order:

Calculating dependencies... done!

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

app-arch/bzip2:0

  (app-arch/bzip2-1.0.6-r8:0/1::gentoo, ebuild scheduled for merge) conflicts with
    app-arch/bzip2[static-libs(+)] required by (media-gfx/splashutils-1.5.4.4-r7:0/0::gentoo, installed)
                                 

media-libs/libjpeg-turbo:0

  (media-libs/libjpeg-turbo-1.5.1:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=media-libs/libjpeg-turbo-1.3.0-r3:0[static-libs,abi_x86_64(-)] required by (virtual/jpeg-0-r2:0/0::gentoo, installed)
                                          ^^^^^^^^^^^               

virtual/jpeg:0

  (virtual/jpeg-0-r2:0/0::gentoo, ebuild scheduled for merge) conflicts with
    virtual/jpeg:0[static-libs] required by (media-gfx/splashutils-1.5.4.4-r7:0/0::gentoo, installed)
                   ^^^^^^^^^^^
    =virtual/jpeg-0-r2[static-libs] required by (media-gfx/splashutils-1.5.4.4-r7:0/0::gentoo, installed)
                       ^^^^^^^^^^^

media-libs/libpng:0

  (media-libs/libpng-1.6.29:0/16::gentoo, ebuild scheduled for merge) conflicts with
    >=media-libs/libpng-1.4.3[static-libs] required by (media-gfx/splashutils-1.5.4.4-r7:0/0::gentoo, installed)
                              ^^^^^^^^^^^

sys-libs/gpm:0

  (sys-libs/gpm-1.20.7-r2:0/0::gentoo, ebuild scheduled for merge) conflicts with
    sys-libs/gpm[static-libs(+)] required by (media-gfx/splashutils-1.5.4.4-r7:0/0::gentoo, installed)
                               

sys-libs/zlib:0

  (sys-libs/zlib-1.2.11-r1:0/1::gentoo, ebuild scheduled for merge) conflicts with
    sys-libs/zlib[static-libs(+)] required by (media-gfx/splashutils-1.5.4.4-r7:0/0::gentoo, installed)
                                 

media-libs/freetype:2

  (media-libs/freetype-2.8:2/2::gentoo, ebuild scheduled for merge) conflicts with
    >=media-libs/freetype-2[static-libs] required by (media-gfx/splashutils-1.5.4.4-r7:0/0::gentoo, installed)
                            ^^^^^^^^^^^

_________________
“La amabilidad es un idioma que el sordo puede oír y el ciego puede ver.”

linux user 384810
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum